Bug 430328 - installs .a and .la files
installs .a and .la files
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: totem (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-26 00:43 EST by Matthias Clasen
Modified: 2008-03-26 08:20 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-26 08:20:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2008-01-26 00:43:05 EST
/usr/lib/mozilla/plugins/libtotem-basic-plugin.a
/usr/lib/mozilla/plugins/libtotem-basic-plugin.la
/usr/lib/mozilla/plugins/libtotem-complex-plugin.a
/usr/lib/mozilla/plugins/libtotem-complex-plugin.la
/usr/lib/mozilla/plugins/libtotem-cone-plugin.a
/usr/lib/mozilla/plugins/libtotem-cone-plugin.la
/usr/lib/mozilla/plugins/libtotem-gmp-plugin.a
/usr/lib/mozilla/plugins/libtotem-gmp-plugin.la
/usr/lib/mozilla/plugins/libtotem-mully-plugin.a
/usr/lib/mozilla/plugins/libtotem-mully-plugin.la
/usr/lib/mozilla/plugins/libtotem-narrowspace-plugin.a
/usr/lib/mozilla/plugins/libtotem-narrowspace-plugin.la

/usr/lib/totem/plugins/gromit/libgromit.a
/usr/lib/totem/plugins/gromit/libgromit.la
/usr/lib/totem/plugins/media-player-keys/libmedia_player_keys.a
/usr/lib/totem/plugins/media-player-keys/libmedia_player_keys.la
/usr/lib/totem/plugins/ontop/libontop.a
/usr/lib/totem/plugins/ontop/libontop.la
/usr/lib/totem/plugins/properties/libmovie-properties.a
/usr/lib/totem/plugins/properties/libmovie-properties.la
/usr/lib/totem/plugins/screensaver/libscreensaver.a
/usr/lib/totem/plugins/screensaver/libscreensaver.la
/usr/lib/totem/plugins/skipto/libskipto.a
/usr/lib/totem/plugins/skipto/libskipto.la

I strongly suspect that these are not needed and should not be installed.
(scratching my head for space on the live cd here...)
Comment 1 Bastien Nocera 2008-03-26 08:20:34 EDT
rm -f $RPM_BUILD_ROOT%{_libdir}/totem/plugins/*/*.{a,la} \
 $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins/*.{a,la} \
 $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-2.0/*.{a,la} \
 $RPM_BUILD_ROOT%{_libdir}/libbaconvideowidget*.{a,la}

I believe that's fixed.

Note You need to log in before you can comment on or make changes to this bug.